---
search:
  exclude: true
---
- [Features](faststream.md)
- Tutorial
    - [Getting Started](getting-started/index.md)
    - [Subscription and Serialization](getting-started/subscription/index.md)
        - [Annotation Serialization](getting-started/subscription/annotation.md)
        - [Pydantic Serialization](getting-started/subscription/pydantic.md)
        - [Filtering](getting-started/subscription/filtering.md)
        - [Testing](getting-started/subscription/test.md)
    - [Publishing](getting-started/publishing/index.md)
        - [Broker Publish](getting-started/publishing/broker.md)
        - [Decorator](getting-started/publishing/decorator.md)
        - [Object Decorator](getting-started/publishing/object.md)
        - [Direct Publishing](getting-started/publishing/direct.md)
        - [Testing](getting-started/publishing/test.md)
    - [Routers](getting-started/routers/index.md)
    - [Dependencies](getting-started/dependencies/index.md)
    - [Context](getting-started/context/index.md)
        - [Existing Fields](getting-started/context/existed.md)
        - [Custom Context](getting-started/context/custom.md)
        - [Fields Access](getting-started/context/fields.md)
        - [Extra Options](getting-started/context/extra.md)
    - [Custom Serialization](getting-started/serialization/index.md)
        - [Parser](getting-started/serialization/parser.md)
        - [Decoder](getting-started/serialization/decoder.md)
        - [Examples](getting-started/serialization/examples.md)
    - [Lifespan](getting-started/lifespan/index.md)
        - [Hooks](getting-started/lifespan/hooks.md)
        - [Context](getting-started/lifespan/context.md)
        - [Testing](getting-started/lifespan/test.md)
    - [Middlewares](getting-started/middlewares/index.md)
        - [Exception Middleware](getting-started/middlewares/exception.md)
    - AsyncAPI
        - [Schema Export](getting-started/asyncapi/export.md)
        - [Schema Hosting](getting-started/asyncapi/hosting.md)
        - [Customize Information](getting-started/asyncapi/custom.md)
    - Integrations
        - [HTTP Async Frameworks](getting-started/integrations/frameworks/index.md)
        - [FastAPI Plugin](getting-started/integrations/fastapi/index.md)
        - [Django](getting-started/integrations/django/index.md)
    - [CLI](getting-started/cli/index.md)
    - [ASGI](getting-started/asgi.md)
    - Observability
        - [Healthcheks](getting-started/observability/healthcheks.md)
        - [Prometheus](getting-started/observability/prometheus.md)
        - [OpenTelemetry](getting-started/observability/opentelemetry/index.md)
            - [Tracing](getting-started/observability/opentelemetry/tracing.md)
            - [Baggage](getting-started/observability/opentelemetry/baggage.md)
            - [Sentry support](getting-started/observability/opentelemetry/sentry.md)
        - [Logging](getting-started/observability/logging.md)
    - [Config Management](getting-started/config/index.md)
    - [Task Scheduling](scheduling.md)
    - [FastStream Project Template](getting-started/template/index.md)
- [Kafka](kafka/kafka.md)
    - [AIOKafka](kafka/index.md)
        - [Subscription](kafka/Subscriber/index.md)
            - [Batch Subscriber](kafka/Subscriber/batch_subscriber.md)
        - [Publishing](kafka/Publisher/index.md)
            - [Batch Publishing](kafka/Publisher/batch_publisher.md)
            - [Publish With Key](kafka/Publisher/using_a_key.md)
        - [Acknowledgement](kafka/ack.md)
        - [Message Information](kafka/message.md)
        - [Security Configuration](kafka/security.md)
    - [Confluent](confluent/index.md)
        - [Subscription](confluent/Subscriber/index.md)
            - [Batch Subscriber](confluent/Subscriber/batch_subscriber.md)
        - [Publishing](confluent/Publisher/index.md)
            - [Batch Publishing](confluent/Publisher/batch_publisher.md)
            - [Publish With Key](confluent/Publisher/using_a_key.md)
        - [Acknowledgement](confluent/ack.md)
        - [Message Information](confluent/message.md)
        - [Security Configuration](confluent/security.md)
        - [Additional Configuration](confluent/additional-configuration.md)
    - [How-To](howto/kafka/index.md)
        - [Kafka RPC](howto/kafka/rpc.md)
- [RabbitMQ](rabbit/index.md)
    - [Subscription](rabbit/examples/index.md)
        - [Direct](rabbit/examples/direct.md)
        - [Fanout](rabbit/examples/fanout.md)
        - [Topic](rabbit/examples/topic.md)
        - [Headers](rabbit/examples/headers.md)
        - [Stream](rabbit/examples/stream.md)
    - [Publishing](rabbit/publishing.md)
    - [RPC](rabbit/rpc.md)
    - [Acknowledgement](rabbit/ack.md)
    - [Declare Queue/Exchange](rabbit/declare.md)
    - [Message Information](rabbit/message.md)
    - [Security Configuration](rabbit/security.md)
- [NATS](nats/index.md)
    - Subscription
        - [Direct](nats/examples/direct.md)
        - [Pattern](nats/examples/pattern.md)
    - [JetStream](nats/jetstream/index.md)
        - [Pull Subscriber](nats/jetstream/pull.md)
        - [Key-Value Storage](nats/jetstream/key-value.md)
        - [Object Storage](nats/jetstream/object.md)
        - [Acknowledgement](nats/jetstream/ack.md)
    - [Publishing](nats/publishing/index.md)
    - [RPC](nats/rpc.md)
    - [Message Information](nats/message.md)
    - [How-To](howto/nats/index.md)
        - [DynaConf](howto/nats/dynaconf.md)
        - [In-Progess](howto/nats/in-progress.md)
- [Redis](redis/index.md)
    - [Pub/Sub](redis/pubsub/index.md)
        - [Subscription](redis/pubsub/subscription.md)
        - [Publishing](redis/pubsub/publishing.md)
    - [List](redis/list/index.md)
        - [Subscription](redis/list/subscription.md)
        - [Publishing](redis/list/publishing.md)
        - [Batching](redis/list/batch.md)
    - [Streams](redis/streams/index.md)
        - [Subscription](redis/streams/subscription.md)
        - [Publishing](redis/streams/publishing.md)
        - [Groups](redis/streams/groups.md)
        - [Batching](redis/streams/batch.md)
        - [Acknowledgement](redis/streams/ack.md)
    - [RPC](redis/rpc.md)
    - [Message Information](redis/message.md)
    - [Security Configuration](redis/security.md)
- [Reference - Code API](api/index.md)
    - Public API
        - faststream
            - [BaseMiddleware](public_api/faststream/BaseMiddleware.md)
            - [Context](public_api/faststream/Context.md)
            - [Depends](public_api/faststream/Depends.md)
            - [ExceptionMiddleware](public_api/faststream/ExceptionMiddleware.md)
            - [FastStream](public_api/faststream/FastStream.md)
            - [Header](public_api/faststream/Header.md)
            - [Path](public_api/faststream/Path.md)
            - [Response](public_api/faststream/Response.md)
            - [TestApp](public_api/faststream/TestApp.md)
            - [apply_types](public_api/faststream/apply_types.md)
            - asgi
                - [AsgiFastStream](public_api/faststream/asgi/AsgiFastStream.md)
                - [AsgiResponse](public_api/faststream/asgi/AsgiResponse.md)
                - [get](public_api/faststream/asgi/get.md)
                - [make_asyncapi_asgi](public_api/faststream/asgi/make_asyncapi_asgi.md)
                - [make_ping_asgi](public_api/faststream/asgi/make_ping_asgi.md)
            - asyncapi
                - [get_app_schema](public_api/faststream/asyncapi/get_app_schema.md)
                - [get_asyncapi_html](public_api/faststream/asyncapi/get_asyncapi_html.md)
            - confluent
                - [KafkaBroker](public_api/faststream/confluent/KafkaBroker.md)
                - [KafkaPublisher](public_api/faststream/confluent/KafkaPublisher.md)
                - [KafkaResponse](public_api/faststream/confluent/KafkaResponse.md)
                - [KafkaRoute](public_api/faststream/confluent/KafkaRoute.md)
                - [KafkaRouter](public_api/faststream/confluent/KafkaRouter.md)
                - [TestApp](public_api/faststream/confluent/TestApp.md)
                - [TestKafkaBroker](public_api/faststream/confluent/TestKafkaBroker.md)
                - [TopicPartition](public_api/faststream/confluent/TopicPartition.md)
            - kafka
                - [KafkaBroker](public_api/faststream/kafka/KafkaBroker.md)
                - [KafkaPublisher](public_api/faststream/kafka/KafkaPublisher.md)
                - [KafkaResponse](public_api/faststream/kafka/KafkaResponse.md)
                - [KafkaRoute](public_api/faststream/kafka/KafkaRoute.md)
                - [KafkaRouter](public_api/faststream/kafka/KafkaRouter.md)
                - [TestApp](public_api/faststream/kafka/TestApp.md)
                - [TestKafkaBroker](public_api/faststream/kafka/TestKafkaBroker.md)
                - [TopicPartition](public_api/faststream/kafka/TopicPartition.md)
            - nats
                - [AckPolicy](public_api/faststream/nats/AckPolicy.md)
                - [ConsumerConfig](public_api/faststream/nats/ConsumerConfig.md)
                - [DeliverPolicy](public_api/faststream/nats/DeliverPolicy.md)
                - [DiscardPolicy](public_api/faststream/nats/DiscardPolicy.md)
                - [ExternalStream](public_api/faststream/nats/ExternalStream.md)
                - [JStream](public_api/faststream/nats/JStream.md)
                - [KvWatch](public_api/faststream/nats/KvWatch.md)
                - [NatsBroker](public_api/faststream/nats/NatsBroker.md)
                - [NatsPublisher](public_api/faststream/nats/NatsPublisher.md)
                - [NatsResponse](public_api/faststream/nats/NatsResponse.md)
                - [NatsRoute](public_api/faststream/nats/NatsRoute.md)
                - [NatsRouter](public_api/faststream/nats/NatsRouter.md)
                - [ObjWatch](public_api/faststream/nats/ObjWatch.md)
                - [Placement](public_api/faststream/nats/Placement.md)
                - [PullSub](public_api/faststream/nats/PullSub.md)
                - [RePublish](public_api/faststream/nats/RePublish.md)
                - [ReplayPolicy](public_api/faststream/nats/ReplayPolicy.md)
                - [RetentionPolicy](public_api/faststream/nats/RetentionPolicy.md)
                - [StorageType](public_api/faststream/nats/StorageType.md)
                - [StreamConfig](public_api/faststream/nats/StreamConfig.md)
                - [StreamSource](public_api/faststream/nats/StreamSource.md)
                - [TestApp](public_api/faststream/nats/TestApp.md)
                - [TestNatsBroker](public_api/faststream/nats/TestNatsBroker.md)
            - opentelemetry
                - [Baggage](public_api/faststream/opentelemetry/Baggage.md)
                - [TelemetryMiddleware](public_api/faststream/opentelemetry/TelemetryMiddleware.md)
                - [TelemetrySettingsProvider](public_api/faststream/opentelemetry/TelemetrySettingsProvider.md)
            - rabbit
                - [Channel](public_api/faststream/rabbit/Channel.md)
                - [ExchangeType](public_api/faststream/rabbit/ExchangeType.md)
                - [QueueType](public_api/faststream/rabbit/QueueType.md)
                - [RabbitBroker](public_api/faststream/rabbit/RabbitBroker.md)
                - [RabbitExchange](public_api/faststream/rabbit/RabbitExchange.md)
                - [RabbitPublisher](public_api/faststream/rabbit/RabbitPublisher.md)
                - [RabbitQueue](public_api/faststream/rabbit/RabbitQueue.md)
                - [RabbitResponse](public_api/faststream/rabbit/RabbitResponse.md)
                - [RabbitRoute](public_api/faststream/rabbit/RabbitRoute.md)
                - [RabbitRouter](public_api/faststream/rabbit/RabbitRouter.md)
                - [ReplyConfig](public_api/faststream/rabbit/ReplyConfig.md)
                - [TestApp](public_api/faststream/rabbit/TestApp.md)
                - [TestRabbitBroker](public_api/faststream/rabbit/TestRabbitBroker.md)
            - redis
                - [ListSub](public_api/faststream/redis/ListSub.md)
                - [PubSub](public_api/faststream/redis/PubSub.md)
                - [RedisBroker](public_api/faststream/redis/RedisBroker.md)
                - [RedisPublisher](public_api/faststream/redis/RedisPublisher.md)
                - [RedisResponse](public_api/faststream/redis/RedisResponse.md)
                - [RedisRoute](public_api/faststream/redis/RedisRoute.md)
                - [RedisRouter](public_api/faststream/redis/RedisRouter.md)
                - [StreamSub](public_api/faststream/redis/StreamSub.md)
                - [TestApp](public_api/faststream/redis/TestApp.md)
                - [TestRedisBroker](public_api/faststream/redis/TestRedisBroker.md)
    - All API
        - faststream
            - [BaseMiddleware](api/faststream/BaseMiddleware.md)
            - [Context](api/faststream/Context.md)
            - [Depends](api/faststream/Depends.md)
            - [ExceptionMiddleware](api/faststream/ExceptionMiddleware.md)
            - [FastStream](api/faststream/FastStream.md)
            - [Header](api/faststream/Header.md)
            - [Path](api/faststream/Path.md)
            - [Response](api/faststream/Response.md)
            - [TestApp](api/faststream/TestApp.md)
            - [apply_types](api/faststream/apply_types.md)
            - app
                - [FastStream](api/faststream/app/FastStream.md)
                - [catch_startup_validation_error](api/faststream/app/catch_startup_validation_error.md)
            - asgi
                - [AsgiFastStream](api/faststream/asgi/AsgiFastStream.md)
                - [AsgiResponse](api/faststream/asgi/AsgiResponse.md)
                - [get](api/faststream/asgi/get.md)
                - [make_asyncapi_asgi](api/faststream/asgi/make_asyncapi_asgi.md)
                - [make_ping_asgi](api/faststream/asgi/make_ping_asgi.md)
                - app
                    - [AsgiFastStream](api/faststream/asgi/app/AsgiFastStream.md)
                    - [cast_uvicorn_params](api/faststream/asgi/app/cast_uvicorn_params.md)
                - factories
                    - [make_asyncapi_asgi](api/faststream/asgi/factories/make_asyncapi_asgi.md)
                    - [make_ping_asgi](api/faststream/asgi/factories/make_ping_asgi.md)
                - handlers
                    - [get](api/faststream/asgi/handlers/get.md)
                - response
                    - [AsgiResponse](api/faststream/asgi/response/AsgiResponse.md)
                - websocket
                    - [WebSocketClose](api/faststream/asgi/websocket/WebSocketClose.md)
            - asyncapi
                - [get_app_schema](api/faststream/asyncapi/get_app_schema.md)
                - [get_asyncapi_html](api/faststream/asyncapi/get_asyncapi_html.md)
                - abc
                    - [AsyncAPIOperation](api/faststream/asyncapi/abc/AsyncAPIOperation.md)
                - generate
                    - [get_app_schema](api/faststream/asyncapi/generate/get_app_schema.md)
                    - [get_broker_channels](api/faststream/asyncapi/generate/get_broker_channels.md)
                    - [get_broker_server](api/faststream/asyncapi/generate/get_broker_server.md)
                - message
                    - [get_model_schema](api/faststream/asyncapi/message/get_model_schema.md)
                    - [get_response_schema](api/faststream/asyncapi/message/get_response_schema.md)
                    - [parse_handler_params](api/faststream/asyncapi/message/parse_handler_params.md)
                - proto
                    - [AsyncAPIApplication](api/faststream/asyncapi/proto/AsyncAPIApplication.md)
                    - [AsyncAPIProto](api/faststream/asyncapi/proto/AsyncAPIProto.md)
                - schema
                    - [Channel](api/faststream/asyncapi/schema/Channel.md)
                    - [ChannelBinding](api/faststream/asyncapi/schema/ChannelBinding.md)
                    - [Components](api/faststream/asyncapi/schema/Components.md)
                    - [Contact](api/faststream/asyncapi/schema/Contact.md)
                    - [ContactDict](api/faststream/asyncapi/schema/ContactDict.md)
                    - [CorrelationId](api/faststream/asyncapi/schema/CorrelationId.md)
                    - [ExternalDocs](api/faststream/asyncapi/schema/ExternalDocs.md)
                    - [ExternalDocsDict](api/faststream/asyncapi/schema/ExternalDocsDict.md)
                    - [Info](api/faststream/asyncapi/schema/Info.md)
                    - [License](api/faststream/asyncapi/schema/License.md)
                    - [LicenseDict](api/faststream/asyncapi/schema/LicenseDict.md)
                    - [Message](api/faststream/asyncapi/schema/Message.md)
                    - [Operation](api/faststream/asyncapi/schema/Operation.md)
                    - [OperationBinding](api/faststream/asyncapi/schema/OperationBinding.md)
                    - [Reference](api/faststream/asyncapi/schema/Reference.md)
                    - [Schema](api/faststream/asyncapi/schema/Schema.md)
                    - [SecuritySchemaComponent](api/faststream/asyncapi/schema/SecuritySchemaComponent.md)
                    - [Server](api/faststream/asyncapi/schema/Server.md)
                    - [ServerBinding](api/faststream/asyncapi/schema/ServerBinding.md)
                    - [Tag](api/faststream/asyncapi/schema/Tag.md)
                    - [TagDict](api/faststream/asyncapi/schema/TagDict.md)
                    - bindings
                        - [ChannelBinding](api/faststream/asyncapi/schema/bindings/ChannelBinding.md)
                        - [OperationBinding](api/faststream/asyncapi/schema/bindings/OperationBinding.md)
                        - [ServerBinding](api/faststream/asyncapi/schema/bindings/ServerBinding.md)
                        - amqp
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/amqp/ChannelBinding.md)
                            - [Exchange](api/faststream/asyncapi/schema/bindings/amqp/Exchange.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/amqp/OperationBinding.md)
                            - [Queue](api/faststream/asyncapi/schema/bindings/amqp/Queue.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/amqp/ServerBinding.md)
                        - kafka
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/kafka/ChannelBinding.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/kafka/OperationBinding.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/kafka/ServerBinding.md)
                        - main
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/main/ChannelBinding.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/main/OperationBinding.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/main/ServerBinding.md)
                        - nats
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/nats/ChannelBinding.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/nats/OperationBinding.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/nats/ServerBinding.md)
                        - redis
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/redis/ChannelBinding.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/redis/OperationBinding.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/redis/ServerBinding.md)
                        - sqs
                            - [ChannelBinding](api/faststream/asyncapi/schema/bindings/sqs/ChannelBinding.md)
                            - [OperationBinding](api/faststream/asyncapi/schema/bindings/sqs/OperationBinding.md)
                            - [ServerBinding](api/faststream/asyncapi/schema/bindings/sqs/ServerBinding.md)
                    - channels
                        - [Channel](api/faststream/asyncapi/schema/channels/Channel.md)
                    - info
                        - [Contact](api/faststream/asyncapi/schema/info/Contact.md)
                        - [ContactDict](api/faststream/asyncapi/schema/info/ContactDict.md)
                        - [EmailStr](api/faststream/asyncapi/schema/info/EmailStr.md)
                        - [Info](api/faststream/asyncapi/schema/info/Info.md)
                        - [License](api/faststream/asyncapi/schema/info/License.md)
                        - [LicenseDict](api/faststream/asyncapi/schema/info/LicenseDict.md)
                    - main
                        - [Components](api/faststream/asyncapi/schema/main/Components.md)
                        - [Schema](api/faststream/asyncapi/schema/main/Schema.md)
                    - message
                        - [CorrelationId](api/faststream/asyncapi/schema/message/CorrelationId.md)
                        - [Message](api/faststream/asyncapi/schema/message/Message.md)
                    - operations
                        - [Operation](api/faststream/asyncapi/schema/operations/Operation.md)
                    - security
                        - [OauthFlowObj](api/faststream/asyncapi/schema/security/OauthFlowObj.md)
                        - [OauthFlows](api/faststream/asyncapi/schema/security/OauthFlows.md)
                        - [SecuritySchemaComponent](api/faststream/asyncapi/schema/security/SecuritySchemaComponent.md)
                    - servers
                        - [Server](api/faststream/asyncapi/schema/servers/Server.md)
                        - [ServerVariable](api/faststream/asyncapi/schema/servers/ServerVariable.md)
                    - utils
                        - [ExternalDocs](api/faststream/asyncapi/schema/utils/ExternalDocs.md)
                        - [ExternalDocsDict](api/faststream/asyncapi/schema/utils/ExternalDocsDict.md)
                        - [Parameter](api/faststream/asyncapi/schema/utils/Parameter.md)
                        - [Reference](api/faststream/asyncapi/schema/utils/Reference.md)
                        - [Tag](api/faststream/asyncapi/schema/utils/Tag.md)
                        - [TagDict](api/faststream/asyncapi/schema/utils/TagDict.md)
                - site
                    - [get_asyncapi_html](api/faststream/asyncapi/site/get_asyncapi_html.md)
                    - [serve_app](api/faststream/asyncapi/site/serve_app.md)
                - utils
                    - [resolve_payloads](api/faststream/asyncapi/utils/resolve_payloads.md)
                    - [to_camelcase](api/faststream/asyncapi/utils/to_camelcase.md)
            - broker
                - acknowledgement_watcher
                    - [BaseWatcher](api/faststream/broker/acknowledgement_watcher/BaseWatcher.md)
                    - [CounterWatcher](api/faststream/broker/acknowledgement_watcher/CounterWatcher.md)
                    - [EndlessWatcher](api/faststream/broker/acknowledgement_watcher/EndlessWatcher.md)
                    - [OneTryWatcher](api/faststream/broker/acknowledgement_watcher/OneTryWatcher.md)
                    - [WatcherContext](api/faststream/broker/acknowledgement_watcher/WatcherContext.md)
                    - [get_watcher](api/faststream/broker/acknowledgement_watcher/get_watcher.md)
                - core
                    - abc
                        - [ABCBroker](api/faststream/broker/core/abc/ABCBroker.md)
                    - logging
                        - [LoggingBroker](api/faststream/broker/core/logging/LoggingBroker.md)
                    - usecase
                        - [BrokerUsecase](api/faststream/broker/core/usecase/BrokerUsecase.md)
                - fastapi
                    - [StreamMessage](api/faststream/broker/fastapi/StreamMessage.md)
                    - [StreamRouter](api/faststream/broker/fastapi/StreamRouter.md)
                    - context
                        - [Context](api/faststream/broker/fastapi/context/Context.md)
                    - get_dependant
                        - [get_fastapi_dependant](api/faststream/broker/fastapi/get_dependant/get_fastapi_dependant.md)
                        - [get_fastapi_native_dependant](api/faststream/broker/fastapi/get_dependant/get_fastapi_native_dependant.md)
                        - [has_faststream_depends](api/faststream/broker/fastapi/get_dependant/has_faststream_depends.md)
                        - [is_faststream_decorated](api/faststream/broker/fastapi/get_dependant/is_faststream_decorated.md)
                        - [mark_faststream_decorated](api/faststream/broker/fastapi/get_dependant/mark_faststream_decorated.md)
                    - route
                        - [StreamMessage](api/faststream/broker/fastapi/route/StreamMessage.md)
                        - [build_faststream_to_fastapi_parser](api/faststream/broker/fastapi/route/build_faststream_to_fastapi_parser.md)
                        - [make_fastapi_execution](api/faststream/broker/fastapi/route/make_fastapi_execution.md)
                        - [wrap_callable_to_fastapi_compatible](api/faststream/broker/fastapi/route/wrap_callable_to_fastapi_compatible.md)
                    - router
                        - [StreamRouter](api/faststream/broker/fastapi/router/StreamRouter.md)
                - message
                    - [AckStatus](api/faststream/broker/message/AckStatus.md)
                    - [SourceType](api/faststream/broker/message/SourceType.md)
                    - [StreamMessage](api/faststream/broker/message/StreamMessage.md)
                    - [decode_message](api/faststream/broker/message/decode_message.md)
                    - [encode_message](api/faststream/broker/message/encode_message.md)
                    - [gen_cor_id](api/faststream/broker/message/gen_cor_id.md)
                - middlewares
                    - [BaseMiddleware](api/faststream/broker/middlewares/BaseMiddleware.md)
                    - [ExceptionMiddleware](api/faststream/broker/middlewares/ExceptionMiddleware.md)
                    - base
                        - [BaseMiddleware](api/faststream/broker/middlewares/base/BaseMiddleware.md)
                    - exception
                        - [BaseExceptionMiddleware](api/faststream/broker/middlewares/exception/BaseExceptionMiddleware.md)
                        - [ExceptionMiddleware](api/faststream/broker/middlewares/exception/ExceptionMiddleware.md)
                        - [ignore_handler](api/faststream/broker/middlewares/exception/ignore_handler.md)
                    - logging
                        - [CriticalLogMiddleware](api/faststream/broker/middlewares/logging/CriticalLogMiddleware.md)
                - proto
                    - [EndpointProto](api/faststream/broker/proto/EndpointProto.md)
                    - [SetupAble](api/faststream/broker/proto/SetupAble.md)
                - publisher
                    - fake
                        - [FakePublisher](api/faststream/broker/publisher/fake/FakePublisher.md)
                    - proto
                        - [BasePublisherProto](api/faststream/broker/publisher/proto/BasePublisherProto.md)
                        - [ProducerProto](api/faststream/broker/publisher/proto/ProducerProto.md)
                        - [PublisherProto](api/faststream/broker/publisher/proto/PublisherProto.md)
                    - usecase
                        - [PublisherUsecase](api/faststream/broker/publisher/usecase/PublisherUsecase.md)
                - response
                    - [Response](api/faststream/broker/response/Response.md)
                    - [ensure_response](api/faststream/broker/response/ensure_response.md)
                - router
                    - [ArgsContainer](api/faststream/broker/router/ArgsContainer.md)
                    - [BrokerRouter](api/faststream/broker/router/BrokerRouter.md)
                    - [SubscriberRoute](api/faststream/broker/router/SubscriberRoute.md)
                - schemas
                    - [NameRequired](api/faststream/broker/schemas/NameRequired.md)
                - subscriber
                    - call_item
                        - [HandlerItem](api/faststream/broker/subscriber/call_item/HandlerItem.md)
                    - mixins
                        - [ConcurrentMixin](api/faststream/broker/subscriber/mixins/ConcurrentMixin.md)
                        - [TasksMixin](api/faststream/broker/subscriber/mixins/TasksMixin.md)
                    - proto
                        - [SubscriberProto](api/faststream/broker/subscriber/proto/SubscriberProto.md)
                    - usecase
                        - [SubscriberUsecase](api/faststream/broker/subscriber/usecase/SubscriberUsecase.md)
                - types
                    - [PublisherMiddleware](api/faststream/broker/types/PublisherMiddleware.md)
                - utils
                    - [MultiLock](api/faststream/broker/utils/MultiLock.md)
                    - [default_filter](api/faststream/broker/utils/default_filter.md)
                    - [get_watcher_context](api/faststream/broker/utils/get_watcher_context.md)
                    - [process_msg](api/faststream/broker/utils/process_msg.md)
                    - [resolve_custom_func](api/faststream/broker/utils/resolve_custom_func.md)
                - wrapper
                    - call
                        - [HandlerCallWrapper](api/faststream/broker/wrapper/call/HandlerCallWrapper.md)
                    - proto
                        - [WrapperProto](api/faststream/broker/wrapper/proto/WrapperProto.md)
            - cli
                - docs
                    - app
                        - [gen](api/faststream/cli/docs/app/gen.md)
                        - [serve](api/faststream/cli/docs/app/serve.md)
                - main
                    - [main](api/faststream/cli/main/main.md)
                    - [publish](api/faststream/cli/main/publish.md)
                    - [publish_message](api/faststream/cli/main/publish_message.md)
                    - [run](api/faststream/cli/main/run.md)
                    - [version_callback](api/faststream/cli/main/version_callback.md)
                - supervisors
                    - asgi_multiprocess
                        - [ASGIMultiprocess](api/faststream/cli/supervisors/asgi_multiprocess/ASGIMultiprocess.md)
                    - basereload
                        - [BaseReload](api/faststream/cli/supervisors/basereload/BaseReload.md)
                    - multiprocess
                        - [Multiprocess](api/faststream/cli/supervisors/multiprocess/Multiprocess.md)
                    - utils
                        - [get_subprocess](api/faststream/cli/supervisors/utils/get_subprocess.md)
                        - [set_exit](api/faststream/cli/supervisors/utils/set_exit.md)
                        - [subprocess_started](api/faststream/cli/supervisors/utils/subprocess_started.md)
                    - watchfiles
                        - [ExtendedFilter](api/faststream/cli/supervisors/watchfiles/ExtendedFilter.md)
                        - [WatchReloader](api/faststream/cli/supervisors/watchfiles/WatchReloader.md)
                - utils
                    - imports
                        - [get_app_path](api/faststream/cli/utils/imports/get_app_path.md)
                        - [import_from_string](api/faststream/cli/utils/imports/import_from_string.md)
                        - [import_object](api/faststream/cli/utils/imports/import_object.md)
                        - [try_import_app](api/faststream/cli/utils/imports/try_import_app.md)
                    - logs
                        - [LogLevels](api/faststream/cli/utils/logs/LogLevels.md)
                        - [get_log_level](api/faststream/cli/utils/logs/get_log_level.md)
                        - [set_log_level](api/faststream/cli/utils/logs/set_log_level.md)
                    - parser
                        - [is_bind_arg](api/faststream/cli/utils/parser/is_bind_arg.md)
                        - [parse_cli_args](api/faststream/cli/utils/parser/parse_cli_args.md)
                        - [remove_prefix](api/faststream/cli/utils/parser/remove_prefix.md)
            - confluent
                - [KafkaBroker](api/faststream/confluent/KafkaBroker.md)
                - [KafkaPublisher](api/faststream/confluent/KafkaPublisher.md)
                - [KafkaResponse](api/faststream/confluent/KafkaResponse.md)
                - [KafkaRoute](api/faststream/confluent/KafkaRoute.md)
                - [KafkaRouter](api/faststream/confluent/KafkaRouter.md)
                - [TestApp](api/faststream/confluent/TestApp.md)
                - [TestKafkaBroker](api/faststream/confluent/TestKafkaBroker.md)
                - [TopicPartition](api/faststream/confluent/TopicPartition.md)
                - broker
                    - [KafkaBroker](api/faststream/confluent/broker/KafkaBroker.md)
                    - broker
                        - [KafkaBroker](api/faststream/confluent/broker/broker/KafkaBroker.md)
                    - logging
                        - [KafkaLoggingBroker](api/faststream/confluent/broker/logging/KafkaLoggingBroker.md)
                    - registrator
                        - [KafkaRegistrator](api/faststream/confluent/broker/registrator/KafkaRegistrator.md)
                - client
                    - [AsyncConfluentConsumer](api/faststream/confluent/client/AsyncConfluentConsumer.md)
                    - [AsyncConfluentProducer](api/faststream/confluent/client/AsyncConfluentProducer.md)
                    - [BatchBuilder](api/faststream/confluent/client/BatchBuilder.md)
                    - [check_msg_error](api/faststream/confluent/client/check_msg_error.md)
                    - [create_topics](api/faststream/confluent/client/create_topics.md)
                - config
                    - [BrokerAddressFamily](api/faststream/confluent/config/BrokerAddressFamily.md)
                    - [BuiltinFeatures](api/faststream/confluent/config/BuiltinFeatures.md)
                    - [ClientDNSLookup](api/faststream/confluent/config/ClientDNSLookup.md)
                    - [CompressionCodec](api/faststream/confluent/config/CompressionCodec.md)
                    - [CompressionType](api/faststream/confluent/config/CompressionType.md)
                    - [ConfluentConfig](api/faststream/confluent/config/ConfluentConfig.md)
                    - [ConfluentFastConfig](api/faststream/confluent/config/ConfluentFastConfig.md)
                    - [Debug](api/faststream/confluent/config/Debug.md)
                    - [GroupProtocol](api/faststream/confluent/config/GroupProtocol.md)
                    - [IsolationLevel](api/faststream/confluent/config/IsolationLevel.md)
                    - [OffsetStoreMethod](api/faststream/confluent/config/OffsetStoreMethod.md)
                    - [SASLOAUTHBearerMethod](api/faststream/confluent/config/SASLOAUTHBearerMethod.md)
                    - [SecurityProtocol](api/faststream/confluent/config/SecurityProtocol.md)
                - fastapi
                    - [Context](api/faststream/confluent/fastapi/Context.md)
                    - [KafkaRouter](api/faststream/confluent/fastapi/KafkaRouter.md)
                    - fastapi
                        - [KafkaRouter](api/faststream/confluent/fastapi/fastapi/KafkaRouter.md)
                - message
                    - [ConsumerProtocol](api/faststream/confluent/message/ConsumerProtocol.md)
                    - [FakeConsumer](api/faststream/confluent/message/FakeConsumer.md)
                    - [KafkaMessage](api/faststream/confluent/message/KafkaMessage.md)
                - opentelemetry
                    - [KafkaTelemetryMiddleware](api/faststream/confluent/opentelemetry/KafkaTelemetryMiddleware.md)
                    - middleware
                        - [KafkaTelemetryMiddleware](api/faststream/confluent/opentelemetry/middleware/KafkaTelemetryMiddleware.md)
                    - provider
                        - [BaseConfluentTelemetrySettingsProvider](api/faststream/confluent/opentelemetry/provider/BaseConfluentTelemetrySettingsProvider.md)
                        - [BatchConfluentTelemetrySettingsProvider](api/faststream/confluent/opentelemetry/provider/BatchConfluentTelemetrySettingsProvider.md)
                        - [ConfluentTelemetrySettingsProvider](api/faststream/confluent/opentelemetry/provider/ConfluentTelemetrySettingsProvider.md)
                        - [telemetry_attributes_provider_factory](api/faststream/confluent/opentelemetry/provider/telemetry_attributes_provider_factory.md)
                - parser
                    - [AsyncConfluentParser](api/faststream/confluent/parser/AsyncConfluentParser.md)
                - prometheus
                    - [KafkaPrometheusMiddleware](api/faststream/confluent/prometheus/KafkaPrometheusMiddleware.md)
                    - middleware
                        - [KafkaPrometheusMiddleware](api/faststream/confluent/prometheus/middleware/KafkaPrometheusMiddleware.md)
                    - provider
                        - [BaseConfluentMetricsSettingsProvider](api/faststream/confluent/prometheus/provider/BaseConfluentMetricsSettingsProvider.md)
                        - [BatchConfluentMetricsSettingsProvider](api/faststream/confluent/prometheus/provider/BatchConfluentMetricsSettingsProvider.md)
                        - [ConfluentMetricsSettingsProvider](api/faststream/confluent/prometheus/provider/ConfluentMetricsSettingsProvider.md)
                        - [settings_provider_factory](api/faststream/confluent/prometheus/provider/settings_provider_factory.md)
                - publisher
                    - asyncapi
                        - [AsyncAPIBatchPublisher](api/faststream/confluent/publisher/asyncapi/AsyncAPIBatchPublisher.md)
                        - [AsyncAPIDefaultPublisher](api/faststream/confluent/publisher/asyncapi/AsyncAPIDefaultPublisher.md)
                        - [AsyncAPIPublisher](api/faststream/confluent/publisher/asyncapi/AsyncAPIPublisher.md)
                    - producer
                        - [AsyncConfluentFastProducer](api/faststream/confluent/publisher/producer/AsyncConfluentFastProducer.md)
                    - usecase
                        - [BatchPublisher](api/faststream/confluent/publisher/usecase/BatchPublisher.md)
                        - [DefaultPublisher](api/faststream/confluent/publisher/usecase/DefaultPublisher.md)
                        - [LogicPublisher](api/faststream/confluent/publisher/usecase/LogicPublisher.md)
                - response
                    - [KafkaResponse](api/faststream/confluent/response/KafkaResponse.md)
                - router
                    - [KafkaPublisher](api/faststream/confluent/router/KafkaPublisher.md)
                    - [KafkaRoute](api/faststream/confluent/router/KafkaRoute.md)
                    - [KafkaRouter](api/faststream/confluent/router/KafkaRouter.md)
                - schemas
                    - [TopicPartition](api/faststream/confluent/schemas/TopicPartition.md)
                    - params
                        - [ConsumerConnectionParams](api/faststream/confluent/schemas/params/ConsumerConnectionParams.md)
                        - [SecurityOptions](api/faststream/confluent/schemas/params/SecurityOptions.md)
                    - partition
                        - [TopicPartition](api/faststream/confluent/schemas/partition/TopicPartition.md)
                - security
                    - [parse_security](api/faststream/confluent/security/parse_security.md)
                - subscriber
                    - asyncapi
                        - [AsyncAPIBatchSubscriber](api/faststream/confluent/subscriber/asyncapi/AsyncAPIBatchSubscriber.md)
                        - [AsyncAPIConcurrentDefaultSubscriber](api/faststream/confluent/subscriber/asyncapi/AsyncAPIConcurrentDefaultSubscriber.md)
                        - [AsyncAPIDefaultSubscriber](api/faststream/confluent/subscriber/asyncapi/AsyncAPIDefaultSubscriber.md)
                        - [AsyncAPISubscriber](api/faststream/confluent/subscriber/asyncapi/AsyncAPISubscriber.md)
                    - factory
                        - [create_subscriber](api/faststream/confluent/subscriber/factory/create_subscriber.md)
                    - usecase
                        - [BatchSubscriber](api/faststream/confluent/subscriber/usecase/BatchSubscriber.md)
                        - [ConcurrentDefaultSubscriber](api/faststream/confluent/subscriber/usecase/ConcurrentDefaultSubscriber.md)
                        - [DefaultSubscriber](api/faststream/confluent/subscriber/usecase/DefaultSubscriber.md)
                        - [LogicSubscriber](api/faststream/confluent/subscriber/usecase/LogicSubscriber.md)
                - testing
                    - [FakeProducer](api/faststream/confluent/testing/FakeProducer.md)
                    - [MockConfluentMessage](api/faststream/confluent/testing/MockConfluentMessage.md)
                    - [TestKafkaBroker](api/faststream/confluent/testing/TestKafkaBroker.md)
                    - [build_message](api/faststream/confluent/testing/build_message.md)
            - constants
                - [ContentTypes](api/faststream/constants/ContentTypes.md)
            - exceptions
                - [AckMessage](api/faststream/exceptions/AckMessage.md)
                - [FastStreamException](api/faststream/exceptions/FastStreamException.md)
                - [HandlerException](api/faststream/exceptions/HandlerException.md)
                - [IgnoredException](api/faststream/exceptions/IgnoredException.md)
                - [NackMessage](api/faststream/exceptions/NackMessage.md)
                - [OperationForbiddenError](api/faststream/exceptions/OperationForbiddenError.md)
                - [RejectMessage](api/faststream/exceptions/RejectMessage.md)
                - [SetupError](api/faststream/exceptions/SetupError.md)
                - [SkipMessage](api/faststream/exceptions/SkipMessage.md)
                - [StopApplication](api/faststream/exceptions/StopApplication.md)
                - [StopConsume](api/faststream/exceptions/StopConsume.md)
                - [SubscriberNotFound](api/faststream/exceptions/SubscriberNotFound.md)
                - [ValidationError](api/faststream/exceptions/ValidationError.md)
            - kafka
                - [KafkaBroker](api/faststream/kafka/KafkaBroker.md)
                - [KafkaPublisher](api/faststream/kafka/KafkaPublisher.md)
                - [KafkaResponse](api/faststream/kafka/KafkaResponse.md)
                - [KafkaRoute](api/faststream/kafka/KafkaRoute.md)
                - [KafkaRouter](api/faststream/kafka/KafkaRouter.md)
                - [TestApp](api/faststream/kafka/TestApp.md)
                - [TestKafkaBroker](api/faststream/kafka/TestKafkaBroker.md)
                - [TopicPartition](api/faststream/kafka/TopicPartition.md)
                - broker
                    - [KafkaBroker](api/faststream/kafka/broker/KafkaBroker.md)
                    - broker
                        - [KafkaBroker](api/faststream/kafka/broker/broker/KafkaBroker.md)
                    - logging
                        - [KafkaLoggingBroker](api/faststream/kafka/broker/logging/KafkaLoggingBroker.md)
                    - registrator
                        - [KafkaRegistrator](api/faststream/kafka/broker/registrator/KafkaRegistrator.md)
                - exceptions
                    - [BatchBufferOverflowException](api/faststream/kafka/exceptions/BatchBufferOverflowException.md)
                - fastapi
                    - [Context](api/faststream/kafka/fastapi/Context.md)
                    - [KafkaRouter](api/faststream/kafka/fastapi/KafkaRouter.md)
                    - fastapi
                        - [KafkaRouter](api/faststream/kafka/fastapi/fastapi/KafkaRouter.md)
                - listener
                    - [LoggingListenerProxy](api/faststream/kafka/listener/LoggingListenerProxy.md)
                - message
                    - [ConsumerProtocol](api/faststream/kafka/message/ConsumerProtocol.md)
                    - [FakeConsumer](api/faststream/kafka/message/FakeConsumer.md)
                    - [KafkaAckableMessage](api/faststream/kafka/message/KafkaAckableMessage.md)
                    - [KafkaMessage](api/faststream/kafka/message/KafkaMessage.md)
                    - [KafkaRawMessage](api/faststream/kafka/message/KafkaRawMessage.md)
                - opentelemetry
                    - [KafkaTelemetryMiddleware](api/faststream/kafka/opentelemetry/KafkaTelemetryMiddleware.md)
                    - middleware
                        - [KafkaTelemetryMiddleware](api/faststream/kafka/opentelemetry/middleware/KafkaTelemetryMiddleware.md)
                    - provider
                        - [BaseKafkaTelemetrySettingsProvider](api/faststream/kafka/opentelemetry/provider/BaseKafkaTelemetrySettingsProvider.md)
                        - [BatchKafkaTelemetrySettingsProvider](api/faststream/kafka/opentelemetry/provider/BatchKafkaTelemetrySettingsProvider.md)
                        - [KafkaTelemetrySettingsProvider](api/faststream/kafka/opentelemetry/provider/KafkaTelemetrySettingsProvider.md)
                        - [telemetry_attributes_provider_factory](api/faststream/kafka/opentelemetry/provider/telemetry_attributes_provider_factory.md)
                - parser
                    - [AioKafkaBatchParser](api/faststream/kafka/parser/AioKafkaBatchParser.md)
                    - [AioKafkaParser](api/faststream/kafka/parser/AioKafkaParser.md)
                - prometheus
                    - [KafkaPrometheusMiddleware](api/faststream/kafka/prometheus/KafkaPrometheusMiddleware.md)
                    - middleware
                        - [KafkaPrometheusMiddleware](api/faststream/kafka/prometheus/middleware/KafkaPrometheusMiddleware.md)
                    - provider
                        - [BaseKafkaMetricsSettingsProvider](api/faststream/kafka/prometheus/provider/BaseKafkaMetricsSettingsProvider.md)
                        - [BatchKafkaMetricsSettingsProvider](api/faststream/kafka/prometheus/provider/BatchKafkaMetricsSettingsProvider.md)
                        - [KafkaMetricsSettingsProvider](api/faststream/kafka/prometheus/provider/KafkaMetricsSettingsProvider.md)
                        - [settings_provider_factory](api/faststream/kafka/prometheus/provider/settings_provider_factory.md)
                - publisher
                    - asyncapi
                        - [AsyncAPIBatchPublisher](api/faststream/kafka/publisher/asyncapi/AsyncAPIBatchPublisher.md)
                        - [AsyncAPIDefaultPublisher](api/faststream/kafka/publisher/asyncapi/AsyncAPIDefaultPublisher.md)
                        - [AsyncAPIPublisher](api/faststream/kafka/publisher/asyncapi/AsyncAPIPublisher.md)
                    - producer
                        - [AioKafkaFastProducer](api/faststream/kafka/publisher/producer/AioKafkaFastProducer.md)
                    - usecase
                        - [BatchPublisher](api/faststream/kafka/publisher/usecase/BatchPublisher.md)
                        - [DefaultPublisher](api/faststream/kafka/publisher/usecase/DefaultPublisher.md)
                        - [LogicPublisher](api/faststream/kafka/publisher/usecase/LogicPublisher.md)
                - response
                    - [KafkaResponse](api/faststream/kafka/response/KafkaResponse.md)
                - router
                    - [KafkaPublisher](api/faststream/kafka/router/KafkaPublisher.md)
                    - [KafkaRoute](api/faststream/kafka/router/KafkaRoute.md)
                    - [KafkaRouter](api/faststream/kafka/router/KafkaRouter.md)
                - schemas
                    - params
                        - [ConsumerConnectionParams](api/faststream/kafka/schemas/params/ConsumerConnectionParams.md)
                - security
                    - [parse_security](api/faststream/kafka/security/parse_security.md)
                - subscriber
                    - asyncapi
                        - [AsyncAPIBatchSubscriber](api/faststream/kafka/subscriber/asyncapi/AsyncAPIBatchSubscriber.md)
                        - [AsyncAPIConcurrentBetweenPartitionsSubscriber](api/faststream/kafka/subscriber/asyncapi/AsyncAPIConcurrentBetweenPartitionsSubscriber.md)
                        - [AsyncAPIConcurrentDefaultSubscriber](api/faststream/kafka/subscriber/asyncapi/AsyncAPIConcurrentDefaultSubscriber.md)
                        - [AsyncAPIDefaultSubscriber](api/faststream/kafka/subscriber/asyncapi/AsyncAPIDefaultSubscriber.md)
                        - [AsyncAPISubscriber](api/faststream/kafka/subscriber/asyncapi/AsyncAPISubscriber.md)
                    - factory
                        - [create_subscriber](api/faststream/kafka/subscriber/factory/create_subscriber.md)
                    - usecase
                        - [BatchSubscriber](api/faststream/kafka/subscriber/usecase/BatchSubscriber.md)
                        - [ConcurrentBetweenPartitionsSubscriber](api/faststream/kafka/subscriber/usecase/ConcurrentBetweenPartitionsSubscriber.md)
                        - [ConcurrentDefaultSubscriber](api/faststream/kafka/subscriber/usecase/ConcurrentDefaultSubscriber.md)
                        - [DefaultSubscriber](api/faststream/kafka/subscriber/usecase/DefaultSubscriber.md)
                        - [LogicSubscriber](api/faststream/kafka/subscriber/usecase/LogicSubscriber.md)
                - testing
                    - [FakeProducer](api/faststream/kafka/testing/FakeProducer.md)
                    - [TestKafkaBroker](api/faststream/kafka/testing/TestKafkaBroker.md)
                    - [build_message](api/faststream/kafka/testing/build_message.md)
            - log
                - formatter
                    - [ColourizedFormatter](api/faststream/log/formatter/ColourizedFormatter.md)
                    - [expand_log_field](api/faststream/log/formatter/expand_log_field.md)
                - logging
                    - [ExtendedFilter](api/faststream/log/logging/ExtendedFilter.md)
                    - [get_broker_logger](api/faststream/log/logging/get_broker_logger.md)
                    - [set_logger_fmt](api/faststream/log/logging/set_logger_fmt.md)
            - nats
                - [AckPolicy](api/faststream/nats/AckPolicy.md)
                - [ConsumerConfig](api/faststream/nats/ConsumerConfig.md)
                - [DeliverPolicy](api/faststream/nats/DeliverPolicy.md)
                - [DiscardPolicy](api/faststream/nats/DiscardPolicy.md)
                - [ExternalStream](api/faststream/nats/ExternalStream.md)
                - [JStream](api/faststream/nats/JStream.md)
                - [KvWatch](api/faststream/nats/KvWatch.md)
                - [NatsBroker](api/faststream/nats/NatsBroker.md)
                - [NatsPublisher](api/faststream/nats/NatsPublisher.md)
                - [NatsResponse](api/faststream/nats/NatsResponse.md)
                - [NatsRoute](api/faststream/nats/NatsRoute.md)
                - [NatsRouter](api/faststream/nats/NatsRouter.md)
                - [ObjWatch](api/faststream/nats/ObjWatch.md)
                - [Placement](api/faststream/nats/Placement.md)
                - [PullSub](api/faststream/nats/PullSub.md)
                - [RePublish](api/faststream/nats/RePublish.md)
                - [ReplayPolicy](api/faststream/nats/ReplayPolicy.md)
                - [RetentionPolicy](api/faststream/nats/RetentionPolicy.md)
                - [StorageType](api/faststream/nats/StorageType.md)
                - [StreamConfig](api/faststream/nats/StreamConfig.md)
                - [StreamSource](api/faststream/nats/StreamSource.md)
                - [TestApp](api/faststream/nats/TestApp.md)
                - [TestNatsBroker](api/faststream/nats/TestNatsBroker.md)
                - broker
                    - [NatsBroker](api/faststream/nats/broker/NatsBroker.md)
                    - broker
                        - [NatsBroker](api/faststream/nats/broker/broker/NatsBroker.md)
                    - logging
                        - [NatsLoggingBroker](api/faststream/nats/broker/logging/NatsLoggingBroker.md)
                    - registrator
                        - [NatsRegistrator](api/faststream/nats/broker/registrator/NatsRegistrator.md)
                - fastapi
                    - [Context](api/faststream/nats/fastapi/Context.md)
                    - [NatsRouter](api/faststream/nats/fastapi/NatsRouter.md)
                    - fastapi
                        - [NatsRouter](api/faststream/nats/fastapi/fastapi/NatsRouter.md)
                - helpers
                    - [KVBucketDeclarer](api/faststream/nats/helpers/KVBucketDeclarer.md)
                    - [OSBucketDeclarer](api/faststream/nats/helpers/OSBucketDeclarer.md)
                    - [StreamBuilder](api/faststream/nats/helpers/StreamBuilder.md)
                    - bucket_declarer
                        - [KVBucketDeclarer](api/faststream/nats/helpers/bucket_declarer/KVBucketDeclarer.md)
                    - obj_storage_declarer
                        - [OSBucketDeclarer](api/faststream/nats/helpers/obj_storage_declarer/OSBucketDeclarer.md)
                    - object_builder
                        - [StreamBuilder](api/faststream/nats/helpers/object_builder/StreamBuilder.md)
                - message
                    - [NatsBatchMessage](api/faststream/nats/message/NatsBatchMessage.md)
                    - [NatsKvMessage](api/faststream/nats/message/NatsKvMessage.md)
                    - [NatsMessage](api/faststream/nats/message/NatsMessage.md)
                    - [NatsObjMessage](api/faststream/nats/message/NatsObjMessage.md)
                - opentelemetry
                    - [NatsTelemetryMiddleware](api/faststream/nats/opentelemetry/NatsTelemetryMiddleware.md)
                    - middleware
                        - [NatsTelemetryMiddleware](api/faststream/nats/opentelemetry/middleware/NatsTelemetryMiddleware.md)
                    - provider
                        - [BaseNatsTelemetrySettingsProvider](api/faststream/nats/opentelemetry/provider/BaseNatsTelemetrySettingsProvider.md)
                        - [NatsBatchTelemetrySettingsProvider](api/faststream/nats/opentelemetry/provider/NatsBatchTelemetrySettingsProvider.md)
                        - [NatsTelemetrySettingsProvider](api/faststream/nats/opentelemetry/provider/NatsTelemetrySettingsProvider.md)
                        - [telemetry_attributes_provider_factory](api/faststream/nats/opentelemetry/provider/telemetry_attributes_provider_factory.md)
                - parser
                    - [BatchParser](api/faststream/nats/parser/BatchParser.md)
                    - [JsParser](api/faststream/nats/parser/JsParser.md)
                    - [KvParser](api/faststream/nats/parser/KvParser.md)
                    - [NatsBaseParser](api/faststream/nats/parser/NatsBaseParser.md)
                    - [NatsParser](api/faststream/nats/parser/NatsParser.md)
                    - [ObjParser](api/faststream/nats/parser/ObjParser.md)
                - prometheus
                    - [NatsPrometheusMiddleware](api/faststream/nats/prometheus/NatsPrometheusMiddleware.md)
                    - middleware
                        - [NatsPrometheusMiddleware](api/faststream/nats/prometheus/middleware/NatsPrometheusMiddleware.md)
                    - provider
                        - [BaseNatsMetricsSettingsProvider](api/faststream/nats/prometheus/provider/BaseNatsMetricsSettingsProvider.md)
                        - [BatchNatsMetricsSettingsProvider](api/faststream/nats/prometheus/provider/BatchNatsMetricsSettingsProvider.md)
                        - [NatsMetricsSettingsProvider](api/faststream/nats/prometheus/provider/NatsMetricsSettingsProvider.md)
                        - [settings_provider_factory](api/faststream/nats/prometheus/provider/settings_provider_factory.md)
                - publisher
                    - asyncapi
                        - [AsyncAPIPublisher](api/faststream/nats/publisher/asyncapi/AsyncAPIPublisher.md)
                    - producer
                        - [NatsFastProducer](api/faststream/nats/publisher/producer/NatsFastProducer.md)
                        - [NatsJSFastProducer](api/faststream/nats/publisher/producer/NatsJSFastProducer.md)
                    - usecase
                        - [LogicPublisher](api/faststream/nats/publisher/usecase/LogicPublisher.md)
                - response
                    - [NatsResponse](api/faststream/nats/response/NatsResponse.md)
                - router
                    - [NatsPublisher](api/faststream/nats/router/NatsPublisher.md)
                    - [NatsRoute](api/faststream/nats/router/NatsRoute.md)
                    - [NatsRouter](api/faststream/nats/router/NatsRouter.md)
                - schemas
                    - [JStream](api/faststream/nats/schemas/JStream.md)
                    - [KvWatch](api/faststream/nats/schemas/KvWatch.md)
                    - [ObjWatch](api/faststream/nats/schemas/ObjWatch.md)
                    - [PullSub](api/faststream/nats/schemas/PullSub.md)
                    - js_stream
                        - [JStream](api/faststream/nats/schemas/js_stream/JStream.md)
                        - [compile_nats_wildcard](api/faststream/nats/schemas/js_stream/compile_nats_wildcard.md)
                        - [is_subject_match_wildcard](api/faststream/nats/schemas/js_stream/is_subject_match_wildcard.md)
                    - kv_watch
                        - [KvWatch](api/faststream/nats/schemas/kv_watch/KvWatch.md)
                    - obj_watch
                        - [ObjWatch](api/faststream/nats/schemas/obj_watch/ObjWatch.md)
                    - pull_sub
                        - [PullSub](api/faststream/nats/schemas/pull_sub/PullSub.md)
                - security
                    - [parse_security](api/faststream/nats/security/parse_security.md)
                - subscriber
                    - asyncapi
                        - [AsyncAPIBatchPullStreamSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIBatchPullStreamSubscriber.md)
                        - [AsyncAPIConcurrentCoreSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIConcurrentCoreSubscriber.md)
                        - [AsyncAPIConcurrentPullStreamSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIConcurrentPullStreamSubscriber.md)
                        - [AsyncAPIConcurrentPushStreamSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIConcurrentPushStreamSubscriber.md)
                        - [AsyncAPICoreSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPICoreSubscriber.md)
                        - [AsyncAPIKeyValueWatchSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIKeyValueWatchSubscriber.md)
                        - [AsyncAPIObjStoreWatchSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIObjStoreWatchSubscriber.md)
                        - [AsyncAPIPullStreamSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIPullStreamSubscriber.md)
                        - [AsyncAPIStreamSubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPIStreamSubscriber.md)
                        - [AsyncAPISubscriber](api/faststream/nats/subscriber/asyncapi/AsyncAPISubscriber.md)
                    - factory
                        - [create_subscriber](api/faststream/nats/subscriber/factory/create_subscriber.md)
                    - subscription
                        - [UnsubscribeAdapter](api/faststream/nats/subscriber/subscription/UnsubscribeAdapter.md)
                        - [Unsubscriptable](api/faststream/nats/subscriber/subscription/Unsubscriptable.md)
                        - [Watchable](api/faststream/nats/subscriber/subscription/Watchable.md)
                    - usecase
                        - [BatchPullStreamSubscriber](api/faststream/nats/subscriber/usecase/BatchPullStreamSubscriber.md)
                        - [ConcurrentCoreSubscriber](api/faststream/nats/subscriber/usecase/ConcurrentCoreSubscriber.md)
                        - [ConcurrentPullStreamSubscriber](api/faststream/nats/subscriber/usecase/ConcurrentPullStreamSubscriber.md)
                        - [ConcurrentPushStreamSubscriber](api/faststream/nats/subscriber/usecase/ConcurrentPushStreamSubscriber.md)
                        - [CoreSubscriber](api/faststream/nats/subscriber/usecase/CoreSubscriber.md)
                        - [KeyValueWatchSubscriber](api/faststream/nats/subscriber/usecase/KeyValueWatchSubscriber.md)
                        - [LogicSubscriber](api/faststream/nats/subscriber/usecase/LogicSubscriber.md)
                        - [ObjStoreWatchSubscriber](api/faststream/nats/subscriber/usecase/ObjStoreWatchSubscriber.md)
                        - [PullStreamSubscriber](api/faststream/nats/subscriber/usecase/PullStreamSubscriber.md)
                        - [PushStreamSubscription](api/faststream/nats/subscriber/usecase/PushStreamSubscription.md)
                - testing
                    - [FakeProducer](api/faststream/nats/testing/FakeProducer.md)
                    - [PatchedMessage](api/faststream/nats/testing/PatchedMessage.md)
                    - [TestNatsBroker](api/faststream/nats/testing/TestNatsBroker.md)
                    - [build_message](api/faststream/nats/testing/build_message.md)
            - opentelemetry
                - [Baggage](api/faststream/opentelemetry/Baggage.md)
                - [TelemetryMiddleware](api/faststream/opentelemetry/TelemetryMiddleware.md)
                - [TelemetrySettingsProvider](api/faststream/opentelemetry/TelemetrySettingsProvider.md)
                - baggage
                    - [Baggage](api/faststream/opentelemetry/baggage/Baggage.md)
                - consts
                    - [MessageAction](api/faststream/opentelemetry/consts/MessageAction.md)
                - middleware
                    - [BaseTelemetryMiddleware](api/faststream/opentelemetry/middleware/BaseTelemetryMiddleware.md)
                    - [TelemetryMiddleware](api/faststream/opentelemetry/middleware/TelemetryMiddleware.md)
                - provider
                    - [TelemetrySettingsProvider](api/faststream/opentelemetry/provider/TelemetrySettingsProvider.md)
            - prometheus
                - [BasePrometheusMiddleware](api/faststream/prometheus/BasePrometheusMiddleware.md)
                - [ConsumeAttrs](api/faststream/prometheus/ConsumeAttrs.md)
                - [MetricsSettingsProvider](api/faststream/prometheus/MetricsSettingsProvider.md)
                - container
                    - [MetricsContainer](api/faststream/prometheus/container/MetricsContainer.md)
                - manager
                    - [MetricsManager](api/faststream/prometheus/manager/MetricsManager.md)
                - middleware
                    - [BasePrometheusMiddleware](api/faststream/prometheus/middleware/BasePrometheusMiddleware.md)
                    - [PrometheusMiddleware](api/faststream/prometheus/middleware/PrometheusMiddleware.md)
                - provider
                    - [MetricsSettingsProvider](api/faststream/prometheus/provider/MetricsSettingsProvider.md)
                - types
                    - [ConsumeAttrs](api/faststream/prometheus/types/ConsumeAttrs.md)
                    - [ProcessingStatus](api/faststream/prometheus/types/ProcessingStatus.md)
                    - [PublishingStatus](api/faststream/prometheus/types/PublishingStatus.md)
            - rabbit
                - [Channel](api/faststream/rabbit/Channel.md)
                - [ExchangeType](api/faststream/rabbit/ExchangeType.md)
                - [QueueType](api/faststream/rabbit/QueueType.md)
                - [RabbitBroker](api/faststream/rabbit/RabbitBroker.md)
                - [RabbitExchange](api/faststream/rabbit/RabbitExchange.md)
                - [RabbitPublisher](api/faststream/rabbit/RabbitPublisher.md)
                - [RabbitQueue](api/faststream/rabbit/RabbitQueue.md)
                - [RabbitResponse](api/faststream/rabbit/RabbitResponse.md)
                - [RabbitRoute](api/faststream/rabbit/RabbitRoute.md)
                - [RabbitRouter](api/faststream/rabbit/RabbitRouter.md)
                - [ReplyConfig](api/faststream/rabbit/ReplyConfig.md)
                - [TestApp](api/faststream/rabbit/TestApp.md)
                - [TestRabbitBroker](api/faststream/rabbit/TestRabbitBroker.md)
                - broker
                    - [RabbitBroker](api/faststream/rabbit/broker/RabbitBroker.md)
                    - broker
                        - [RabbitBroker](api/faststream/rabbit/broker/broker/RabbitBroker.md)
                    - logging
                        - [RabbitLoggingBroker](api/faststream/rabbit/broker/logging/RabbitLoggingBroker.md)
                    - registrator
                        - [RabbitRegistrator](api/faststream/rabbit/broker/registrator/RabbitRegistrator.md)
                - fastapi
                    - [Context](api/faststream/rabbit/fastapi/Context.md)
                    - [RabbitRouter](api/faststream/rabbit/fastapi/RabbitRouter.md)
                    - router
                        - [RabbitRouter](api/faststream/rabbit/fastapi/router/RabbitRouter.md)
                - helpers
                    - [ChannelManager](api/faststream/rabbit/helpers/ChannelManager.md)
                    - [RabbitDeclarer](api/faststream/rabbit/helpers/RabbitDeclarer.md)
                    - channel_manager
                        - [ChannelManager](api/faststream/rabbit/helpers/channel_manager/ChannelManager.md)
                    - declarer
                        - [RabbitDeclarer](api/faststream/rabbit/helpers/declarer/RabbitDeclarer.md)
                - message
                    - [RabbitMessage](api/faststream/rabbit/message/RabbitMessage.md)
                - opentelemetry
                    - [RabbitTelemetryMiddleware](api/faststream/rabbit/opentelemetry/RabbitTelemetryMiddleware.md)
                    - middleware
                        - [RabbitTelemetryMiddleware](api/faststream/rabbit/opentelemetry/middleware/RabbitTelemetryMiddleware.md)
                    - provider
                        - [RabbitTelemetrySettingsProvider](api/faststream/rabbit/opentelemetry/provider/RabbitTelemetrySettingsProvider.md)
                - parser
                    - [AioPikaParser](api/faststream/rabbit/parser/AioPikaParser.md)
                - prometheus
                    - [RabbitPrometheusMiddleware](api/faststream/rabbit/prometheus/RabbitPrometheusMiddleware.md)
                    - middleware
                        - [RabbitPrometheusMiddleware](api/faststream/rabbit/prometheus/middleware/RabbitPrometheusMiddleware.md)
                    - provider
                        - [RabbitMetricsSettingsProvider](api/faststream/rabbit/prometheus/provider/RabbitMetricsSettingsProvider.md)
                - publisher
                    - asyncapi
                        - [AsyncAPIPublisher](api/faststream/rabbit/publisher/asyncapi/AsyncAPIPublisher.md)
                    - producer
                        - [AioPikaFastProducer](api/faststream/rabbit/publisher/producer/AioPikaFastProducer.md)
                    - usecase
                        - [LogicPublisher](api/faststream/rabbit/publisher/usecase/LogicPublisher.md)
                        - [PublishKwargs](api/faststream/rabbit/publisher/usecase/PublishKwargs.md)
                        - [RequestPublishKwargs](api/faststream/rabbit/publisher/usecase/RequestPublishKwargs.md)
                - response
                    - [RabbitResponse](api/faststream/rabbit/response/RabbitResponse.md)
                - router
                    - [RabbitPublisher](api/faststream/rabbit/router/RabbitPublisher.md)
                    - [RabbitRoute](api/faststream/rabbit/router/RabbitRoute.md)
                    - [RabbitRouter](api/faststream/rabbit/router/RabbitRouter.md)
                - schemas
                    - [BaseRMQInformation](api/faststream/rabbit/schemas/BaseRMQInformation.md)
                    - [Channel](api/faststream/rabbit/schemas/Channel.md)
                    - [ExchangeType](api/faststream/rabbit/schemas/ExchangeType.md)
                    - [QueueType](api/faststream/rabbit/schemas/QueueType.md)
                    - [RabbitExchange](api/faststream/rabbit/schemas/RabbitExchange.md)
                    - [RabbitQueue](api/faststream/rabbit/schemas/RabbitQueue.md)
                    - [ReplyConfig](api/faststream/rabbit/schemas/ReplyConfig.md)
                    - channel
                        - [Channel](api/faststream/rabbit/schemas/channel/Channel.md)
                    - constants
                        - [ExchangeType](api/faststream/rabbit/schemas/constants/ExchangeType.md)
                    - exchange
                        - [RabbitExchange](api/faststream/rabbit/schemas/exchange/RabbitExchange.md)
                    - proto
                        - [BaseRMQInformation](api/faststream/rabbit/schemas/proto/BaseRMQInformation.md)
                    - queue
                        - [ClassicQueueArgs](api/faststream/rabbit/schemas/queue/ClassicQueueArgs.md)
                        - [ClassicQueueSpecificArgs](api/faststream/rabbit/schemas/queue/ClassicQueueSpecificArgs.md)
                        - [CommonQueueArgs](api/faststream/rabbit/schemas/queue/CommonQueueArgs.md)
                        - [QueueType](api/faststream/rabbit/schemas/queue/QueueType.md)
                        - [QuorumQueueArgs](api/faststream/rabbit/schemas/queue/QuorumQueueArgs.md)
                        - [QuorumQueueSpecificArgs](api/faststream/rabbit/schemas/queue/QuorumQueueSpecificArgs.md)
                        - [RabbitQueue](api/faststream/rabbit/schemas/queue/RabbitQueue.md)
                        - [SharedClassicAndQuorumQueueArgs](api/faststream/rabbit/schemas/queue/SharedClassicAndQuorumQueueArgs.md)
                        - [StreamQueueArgs](api/faststream/rabbit/schemas/queue/StreamQueueArgs.md)
                        - [StreamQueueSpecificArgs](api/faststream/rabbit/schemas/queue/StreamQueueSpecificArgs.md)
                    - reply
                        - [ReplyConfig](api/faststream/rabbit/schemas/reply/ReplyConfig.md)
                - security
                    - [parse_security](api/faststream/rabbit/security/parse_security.md)
                - subscriber
                    - asyncapi
                        - [AsyncAPISubscriber](api/faststream/rabbit/subscriber/asyncapi/AsyncAPISubscriber.md)
                    - factory
                        - [create_subscriber](api/faststream/rabbit/subscriber/factory/create_subscriber.md)
                    - usecase
                        - [LogicSubscriber](api/faststream/rabbit/subscriber/usecase/LogicSubscriber.md)
                - testing
                    - [FakeProducer](api/faststream/rabbit/testing/FakeProducer.md)
                    - [PatchedMessage](api/faststream/rabbit/testing/PatchedMessage.md)
                    - [TestRabbitBroker](api/faststream/rabbit/testing/TestRabbitBroker.md)
                    - [apply_pattern](api/faststream/rabbit/testing/apply_pattern.md)
                    - [build_message](api/faststream/rabbit/testing/build_message.md)
                - utils
                    - [RabbitClientProperties](api/faststream/rabbit/utils/RabbitClientProperties.md)
                    - [build_url](api/faststream/rabbit/utils/build_url.md)
                    - [build_virtual_host](api/faststream/rabbit/utils/build_virtual_host.md)
                    - [is_routing_exchange](api/faststream/rabbit/utils/is_routing_exchange.md)
            - redis
                - [ListSub](api/faststream/redis/ListSub.md)
                - [PubSub](api/faststream/redis/PubSub.md)
                - [RedisBroker](api/faststream/redis/RedisBroker.md)
                - [RedisPublisher](api/faststream/redis/RedisPublisher.md)
                - [RedisResponse](api/faststream/redis/RedisResponse.md)
                - [RedisRoute](api/faststream/redis/RedisRoute.md)
                - [RedisRouter](api/faststream/redis/RedisRouter.md)
                - [StreamSub](api/faststream/redis/StreamSub.md)
                - [TestApp](api/faststream/redis/TestApp.md)
                - [TestRedisBroker](api/faststream/redis/TestRedisBroker.md)
                - broker
                    - broker
                        - [RedisBroker](api/faststream/redis/broker/broker/RedisBroker.md)
                    - logging
                        - [RedisLoggingBroker](api/faststream/redis/broker/logging/RedisLoggingBroker.md)
                    - registrator
                        - [RedisRegistrator](api/faststream/redis/broker/registrator/RedisRegistrator.md)
                - fastapi
                    - [Context](api/faststream/redis/fastapi/Context.md)
                    - [RedisRouter](api/faststream/redis/fastapi/RedisRouter.md)
                    - fastapi
                        - [RedisRouter](api/faststream/redis/fastapi/fastapi/RedisRouter.md)
                - message
                    - [BatchListMessage](api/faststream/redis/message/BatchListMessage.md)
                    - [BatchStreamMessage](api/faststream/redis/message/BatchStreamMessage.md)
                    - [DefaultListMessage](api/faststream/redis/message/DefaultListMessage.md)
                    - [DefaultStreamMessage](api/faststream/redis/message/DefaultStreamMessage.md)
                    - [ListMessage](api/faststream/redis/message/ListMessage.md)
                    - [PubSubMessage](api/faststream/redis/message/PubSubMessage.md)
                    - [RedisBatchListMessage](api/faststream/redis/message/RedisBatchListMessage.md)
                    - [RedisBatchStreamMessage](api/faststream/redis/message/RedisBatchStreamMessage.md)
                    - [RedisListMessage](api/faststream/redis/message/RedisListMessage.md)
                    - [RedisMessage](api/faststream/redis/message/RedisMessage.md)
                    - [RedisStreamMessage](api/faststream/redis/message/RedisStreamMessage.md)
                    - [StreamMessage](api/faststream/redis/message/StreamMessage.md)
                    - [UnifyRedisDict](api/faststream/redis/message/UnifyRedisDict.md)
                    - [UnifyRedisMessage](api/faststream/redis/message/UnifyRedisMessage.md)
                - opentelemetry
                    - [RedisTelemetryMiddleware](api/faststream/redis/opentelemetry/RedisTelemetryMiddleware.md)
                    - middleware
                        - [RedisTelemetryMiddleware](api/faststream/redis/opentelemetry/middleware/RedisTelemetryMiddleware.md)
                    - provider
                        - [RedisTelemetrySettingsProvider](api/faststream/redis/opentelemetry/provider/RedisTelemetrySettingsProvider.md)
                - parser
                    - [RawMessage](api/faststream/redis/parser/RawMessage.md)
                    - [RedisBatchListParser](api/faststream/redis/parser/RedisBatchListParser.md)
                    - [RedisBatchStreamParser](api/faststream/redis/parser/RedisBatchStreamParser.md)
                    - [RedisListParser](api/faststream/redis/parser/RedisListParser.md)
                    - [RedisPubSubParser](api/faststream/redis/parser/RedisPubSubParser.md)
                    - [RedisStreamParser](api/faststream/redis/parser/RedisStreamParser.md)
                    - [SimpleParser](api/faststream/redis/parser/SimpleParser.md)
                - prometheus
                    - [RedisPrometheusMiddleware](api/faststream/redis/prometheus/RedisPrometheusMiddleware.md)
                    - middleware
                        - [RedisPrometheusMiddleware](api/faststream/redis/prometheus/middleware/RedisPrometheusMiddleware.md)
                    - provider
                        - [BaseRedisMetricsSettingsProvider](api/faststream/redis/prometheus/provider/BaseRedisMetricsSettingsProvider.md)
                        - [BatchRedisMetricsSettingsProvider](api/faststream/redis/prometheus/provider/BatchRedisMetricsSettingsProvider.md)
                        - [RedisMetricsSettingsProvider](api/faststream/redis/prometheus/provider/RedisMetricsSettingsProvider.md)
                        - [settings_provider_factory](api/faststream/redis/prometheus/provider/settings_provider_factory.md)
                - publisher
                    - asyncapi
                        - [AsyncAPIChannelPublisher](api/faststream/redis/publisher/asyncapi/AsyncAPIChannelPublisher.md)
                        - [AsyncAPIListBatchPublisher](api/faststream/redis/publisher/asyncapi/AsyncAPIListBatchPublisher.md)
                        - [AsyncAPIListPublisher](api/faststream/redis/publisher/asyncapi/AsyncAPIListPublisher.md)
                        - [AsyncAPIPublisher](api/faststream/redis/publisher/asyncapi/AsyncAPIPublisher.md)
                        - [AsyncAPIStreamPublisher](api/faststream/redis/publisher/asyncapi/AsyncAPIStreamPublisher.md)
                    - producer
                        - [RedisFastProducer](api/faststream/redis/publisher/producer/RedisFastProducer.md)
                    - usecase
                        - [ChannelPublisher](api/faststream/redis/publisher/usecase/ChannelPublisher.md)
                        - [ListBatchPublisher](api/faststream/redis/publisher/usecase/ListBatchPublisher.md)
                        - [ListPublisher](api/faststream/redis/publisher/usecase/ListPublisher.md)
                        - [LogicPublisher](api/faststream/redis/publisher/usecase/LogicPublisher.md)
                        - [StreamPublisher](api/faststream/redis/publisher/usecase/StreamPublisher.md)
                - response
                    - [RedisResponse](api/faststream/redis/response/RedisResponse.md)
                - router
                    - [RedisPublisher](api/faststream/redis/router/RedisPublisher.md)
                    - [RedisRoute](api/faststream/redis/router/RedisRoute.md)
                    - [RedisRouter](api/faststream/redis/router/RedisRouter.md)
                - schemas
                    - [ListSub](api/faststream/redis/schemas/ListSub.md)
                    - [PubSub](api/faststream/redis/schemas/PubSub.md)
                    - [StreamSub](api/faststream/redis/schemas/StreamSub.md)
                    - list_sub
                        - [ListSub](api/faststream/redis/schemas/list_sub/ListSub.md)
                    - proto
                        - [RedisAsyncAPIProtocol](api/faststream/redis/schemas/proto/RedisAsyncAPIProtocol.md)
                        - [validate_options](api/faststream/redis/schemas/proto/validate_options.md)
                    - pub_sub
                        - [PubSub](api/faststream/redis/schemas/pub_sub/PubSub.md)
                    - stream_sub
                        - [StreamSub](api/faststream/redis/schemas/stream_sub/StreamSub.md)
                - security
                    - [parse_security](api/faststream/redis/security/parse_security.md)
                - subscriber
                    - asyncapi
                        - [AsyncAPIChannelSubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPIChannelSubscriber.md)
                        - [AsyncAPIListBatchSubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPIListBatchSubscriber.md)
                        - [AsyncAPIListSubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPIListSubscriber.md)
                        - [AsyncAPIStreamBatchSubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPIStreamBatchSubscriber.md)
                        - [AsyncAPIStreamSubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPIStreamSubscriber.md)
                        - [AsyncAPISubscriber](api/faststream/redis/subscriber/asyncapi/AsyncAPISubscriber.md)
                    - factory
                        - [create_subscriber](api/faststream/redis/subscriber/factory/create_subscriber.md)
                    - usecase
                        - [BatchListSubscriber](api/faststream/redis/subscriber/usecase/BatchListSubscriber.md)
                        - [BatchStreamSubscriber](api/faststream/redis/subscriber/usecase/BatchStreamSubscriber.md)
                        - [ChannelSubscriber](api/faststream/redis/subscriber/usecase/ChannelSubscriber.md)
                        - [ListSubscriber](api/faststream/redis/subscriber/usecase/ListSubscriber.md)
                        - [LogicSubscriber](api/faststream/redis/subscriber/usecase/LogicSubscriber.md)
                        - [StreamSubscriber](api/faststream/redis/subscriber/usecase/StreamSubscriber.md)
                - testing
                    - [ChannelVisitor](api/faststream/redis/testing/ChannelVisitor.md)
                    - [FakeProducer](api/faststream/redis/testing/FakeProducer.md)
                    - [ListVisitor](api/faststream/redis/testing/ListVisitor.md)
                    - [StreamVisitor](api/faststream/redis/testing/StreamVisitor.md)
                    - [TestRedisBroker](api/faststream/redis/testing/TestRedisBroker.md)
                    - [Visitor](api/faststream/redis/testing/Visitor.md)
                    - [build_message](api/faststream/redis/testing/build_message.md)
            - security
                - [BaseSecurity](api/faststream/security/BaseSecurity.md)
                - [SASLGSSAPI](api/faststream/security/SASLGSSAPI.md)
                - [SASLOAuthBearer](api/faststream/security/SASLOAuthBearer.md)
                - [SASLPlaintext](api/faststream/security/SASLPlaintext.md)
                - [SASLScram256](api/faststream/security/SASLScram256.md)
                - [SASLScram512](api/faststream/security/SASLScram512.md)
            - testing
                - [TestApp](api/faststream/testing/TestApp.md)
                - app
                    - [TestApp](api/faststream/testing/app/TestApp.md)
                - broker
                    - [TestBroker](api/faststream/testing/broker/TestBroker.md)
                    - [patch_broker_calls](api/faststream/testing/broker/patch_broker_calls.md)
            - types
                - [LoggerProto](api/faststream/types/LoggerProto.md)
                - [StandardDataclass](api/faststream/types/StandardDataclass.md)
            - utils
                - [Context](api/faststream/utils/Context.md)
                - [ContextRepo](api/faststream/utils/ContextRepo.md)
                - [Depends](api/faststream/utils/Depends.md)
                - [Header](api/faststream/utils/Header.md)
                - [NoCast](api/faststream/utils/NoCast.md)
                - [Path](api/faststream/utils/Path.md)
                - [apply_types](api/faststream/utils/apply_types.md)
                - ast
                    - [find_ast_node](api/faststream/utils/ast/find_ast_node.md)
                    - [find_withitems](api/faststream/utils/ast/find_withitems.md)
                    - [get_withitem_calls](api/faststream/utils/ast/get_withitem_calls.md)
                    - [is_contains_context_name](api/faststream/utils/ast/is_contains_context_name.md)
                - classes
                    - [Singleton](api/faststream/utils/classes/Singleton.md)
                - context
                    - [Context](api/faststream/utils/context/Context.md)
                    - [ContextRepo](api/faststream/utils/context/ContextRepo.md)
                    - [Header](api/faststream/utils/context/Header.md)
                    - [Path](api/faststream/utils/context/Path.md)
                    - builders
                        - [Context](api/faststream/utils/context/builders/Context.md)
                        - [Header](api/faststream/utils/context/builders/Header.md)
                        - [Path](api/faststream/utils/context/builders/Path.md)
                    - repository
                        - [ContextRepo](api/faststream/utils/context/repository/ContextRepo.md)
                    - types
                        - [Context](api/faststream/utils/context/types/Context.md)
                        - [resolve_context_by_name](api/faststream/utils/context/types/resolve_context_by_name.md)
                - data
                    - [filter_by_dict](api/faststream/utils/data/filter_by_dict.md)
                - functions
                    - [call_or_await](api/faststream/utils/functions/call_or_await.md)
                    - [drop_response_type](api/faststream/utils/functions/drop_response_type.md)
                    - [fake_context](api/faststream/utils/functions/fake_context.md)
                    - [return_input](api/faststream/utils/functions/return_input.md)
                    - [sync_fake_context](api/faststream/utils/functions/sync_fake_context.md)
                    - [timeout_scope](api/faststream/utils/functions/timeout_scope.md)
                    - [to_async](api/faststream/utils/functions/to_async.md)
                - no_cast
                    - [NoCast](api/faststream/utils/no_cast/NoCast.md)
                - nuid
                    - [NUID](api/faststream/utils/nuid/NUID.md)
                - path
                    - [compile_path](api/faststream/utils/path/compile_path.md)
- [FastStream People](faststream-people.md)
- Contributing
    - [Development](getting-started/contributing/CONTRIBUTING.md)
    - [Documentation](getting-started/contributing/docs.md)
- [Release Notes](release.md)